commit edfc75e3a922888d802cf18250b3de10c62d3e86
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 30 20:46:30 2014 -0800

    fslsfonts 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 08ba596c3c21c9a43e02ec257a37ef6152cbd3d3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 5 12:47:04 2014 -0700

    Delete unreachable code after usage() calls
    
    Warned about by both Solaris Studio cc:
    "fslsfonts.c", line 148: warning: statement not reached
    "fslsfonts.c", line 204: warning: statement not reached
    
    and clang:
    fslsfonts.c:204:7: warning: will never be executed [-Wunreachable-code]
                        break;
                        ^~~~~
    fslsfonts.c:148:11: warning: will never be executed [-Wunreachable-code]
                exit(0);
                     ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7cb653d8699d6a774b340384603abc47a41b8295
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 5 12:41:47 2014 -0700

    Fix a bunch of size/sign conversion warnings from clang
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e254f9e0ec8953ce02043642021a7307512c57be
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 5 12:04:11 2014 -0700

    Remove unnecessary casts on malloc/realloc return values
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 44a450461b6361d691c360438af21fa3be21c408
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 5 11:57:17 2014 -0700

    Abort on malloc/realloc failure
    
    cppcheck still warns about our use of realloc, but it's harmless:
    [fslsfonts.c:268]: (error) Common realloc mistake: 'font_list' nulled
     but not freed upon failure
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 79344cb17e9b6b3d16ae2067b7d6e16ae204e52f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 23:35:16 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 16cc67667403dca89a03305e8a76fa3c386749d6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 23:35:15 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7bbb887262c79849a52ee2e3e3d0835fcf582c9f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 23:35:07 2014 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f09c42b9849ebc84ecc625323351d24dc551b94a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 4 23:53:20 2013 -0800

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 8d60a7198cc366d72fd03a5821de9b56719588fc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 4 23:31:29 2013 -0800

    Add -version option to print version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 5e7991fdcb98c06702a364b856a31541874c51da
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 20 13:28:17 2012 -0700

    fslsfonts 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8ec9e20ca8025173257770c750a05729c8d91fa0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 16 15:16:10 2012 -0700

    Mark usage() as _X_NORETURN to silence gcc warning
    
    fslsfonts.c: In function ‘usage’:
    fslsfonts.c:92:1: warning: function might be possible candidate for attribute ‘noreturn’
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1195e8cecb25b3b3e64a3ef7cfdc84e65caf57d7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 10 22:44:16 2011 -0800

    Fix gcc warning: cast discards qualifiers from pointer target type
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b630fe37ae21678464186916a15bf8c99f65b896
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 10 22:12:54 2011 -0800

    Combine usage message into single string
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c4be2fb6c3ae3d6bfa9f767d40578b2680ab58af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 10 22:09:54 2011 -0800

    Fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8bafda7027f51313cfd8e5f4447812064c1686bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b2b7d64bf81dc9dc425c1ae16428b654cb4ee582
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:00 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 693774d42de58c22fd407649fa6b6e7a13c4e32f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:01 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 56623bd3f69af13b5ea7952fc2539c0757c1da9a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 12:48:31 2010 -0700

    fslsfonts 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ccd2fecaa7a8f32cef6c5c1620a23e09aa50b1f5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 12:47:25 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 52a0ed576354ba1de736904af1a6b17981b0090e
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:49 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit 942a8c3c84ced13f396f17a96313ee82c7c79d83
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Oct 6 19:00:52 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dbbd43a4b2065e64d17227aed63e4189dc75134e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e187c1e1bc4c58236346573ddf6c58ede438cc72
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 30 19:53:14 2010 -0700

    fslsfonts only depends on x11proto (for Xos.h) not x11
    
    No need to link against libX11 when no functions in it are ever called,
    nor any headers from it ever used, since fslsfonts is a pure font-server
    protocol client.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 57eb4c0f642da8547bb505231a1251d9662fb192
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:06 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2930e9f179d1abf9fb276226dd6a527a07d42d39
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit fc89bf51b4a24d03f4c0aad5cb4c9566b4493723
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:07 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 7fb18a2404b434f7c81932b6bb3a59087b67ae42
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit fff5c40b8422204938c8f56cc02cdbbbe24c49ae
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 038c76cbbc20400ac19877f50f1a69a738d87cf7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit b837f89eba8f374c2b24f84138c1305fd5d9507b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:16 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 014ec6084387c77f211832ee7c0c95ad56fbb1af
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 15 18:30:21 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit 449643fa6811de4539c498d43f3af777a0a7c037
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 23 16:31:20 2008 -0700

    fslsfonts 1.0.2

commit 8c3d918964ff5823ce9685be54e129dc5909cc69
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 23 16:26:29 2008 -0700

    Fill in COPYING with copyright/license notices from sources

commit 7b43c5804a406baacdeb88d4192ce0810994e8d8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 22 19:46:17 2008 -0700

    Clarify syntax of -server & FONTSERVER in man page

commit 02e0bc6cebba093a382e0ab57ebe02e0c467b0d5
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:36:58 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 04305c486e81c275b7b31a505395a8279a9e4867
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 16:24:06 2007 -0700

    renamed: .cvsignore -> .gitignore

commit 907a6cd8e28a754b0ea574ffa7d13bfc39252647
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 16:23:31 2007 -0700

    Change fslsfonts_CFLAGS to AM_CFLAGS to make automake-1.10 happier

commit d95896f7ec4c9f721e90e68e4adc9eeefeebe27e
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:42 2005 +0000

    Update package version for X11R7 release.

commit 3900748043ff4b6c179d29bab627950df51da9ba
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:40 2005 +0000

    Stub COPYING files

commit 76e8606615fabc7d59d784cc3bc51aa5bcaff51e
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:02 2005 +0000

    Update package version number for final X11R7 release candidate.

commit dbe7f917a70438e76f4b51222615dd55cde55aa1
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:16 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit fad46dca9871152094c7e936868752fcbc439fd6
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:15 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 43f92f7d48025d32cf4afb13e551c69288785cea
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:36 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 4470242281e691908a30e7ed2d5e0bb999c57b7f
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:55 2005 +0000

    Another pass at .cvsignores for apps.

commit 70c7a94df711bc4ff0995529b0592dcac9b2554b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:48 2005 +0000

    Add/improve .cvsignore files for apps.

commit fd22b40b6ad75d65d6298f57db388e7e114ff0a1
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:48 2005 +0000

    Update package version number for RC1 release.

commit 4e72c7c22a9cc85b677aae221647a6e9c97ca358
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:19 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit e88396dbb6f9e4c918a01b31e97b7048c4f75cfc
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:41 2005 +0000

    Use sed to fill in variables in man page

commit c884539ec3cf80d489a4907ab3abdcc32f81dc4f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:27 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit f24a7a29a50a871aec34900e2e65dc9f268eae53
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:28 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit e03e8dd59d692c551c89e5d3dce5ed6dfdbea63b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:48 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 492cae010ee83167c662df163f37dec2ef5b8b8b
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jul 6 16:17:30 2005 +0000

    Build system for fslsfonts

commit 27fb0a16c0dad6976a675a23b2df811310d8df68
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:32 2004 +0000

    Merging XORG-CURRENT into trunk

commit 7122e2d65c98630c3ff79b6ce1f39ff77c1bdb1d
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:34:50 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit ed0b544968dfe8514ead28f566a945f0b2d2e7b9
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:50 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit e7f14cc37ca82396ca7116efcc9f48a687644ea0
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:15 2004 +0000

    readding XFree86's cvs IDs

commit d7b500a10f7d6574d065baf32bd5f5e8e27588e1
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:54 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit ab1d154e3006704f4a33b1d73b0435540299b9ba
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:57 2003 +0000

    XFree86 4.3.0.1

commit 0f93bed073a9dbc1b436f26a5f55ffbedea4471f
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:52 2003 +0000

    R6.6 is the Xorg base-line
[--snip--]
